package ext.app.domain {
import ext.app.EventDomain;

[Uses("ext.app.EventDomain")]
[Uses("ext.Base")]
[Native]
[ExcludeClass]
/**
 * This class implements the data store event domain. All classes extending from
 * <a href="#!/api/Ext.data.AbstractStore" rel="Ext.data.AbstractStore" class="docClass">Ext.data.AbstractStore</a> are included in this domain. The selectors are simply
 * store id, alias or the wildcard "*" to match any store.
 * <p>Type of singleton StoreEventDomain.</p>
 * @see ext.app.domain.#StoreEventDomain ext.app.domain.StoreEventDomain
 */
public class SStoreEventDomain extends ext.app.EventDomain {
  /**
   * @inheritDoc
   */
  public function SStoreEventDomain(config:ext.app.EventDomain = null) {
    super();
  }
}
}