package ext.button.events {
import ext.button.Button;
import js.Event;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Button_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when this button is clicked, before the configured <a href="#!/api/Ext.button.Button-cfg-handler" rel="Ext.button.Button-cfg-handler" class="docClass">handler</a> is invoked. Execution of the
   * <a href="#!/api/Ext.button.Button-cfg-handler" rel="Ext.button.Button-cfg-handler" class="docClass">handler</a> may be vetoed by returning <code>false</code> to this event.
   * @see ext.button.Button
   * @eventType onClick
   */
  public static const CLICK:String = "onClick";

  /**
   * "Fires when the mouse exits the button
   * @see ext.button.Button
   * @eventType onMouseOut
   */
  public static const MOUSE_OUT:String = "onMouseOut";

  /**
   * "Fires when the mouse hovers over the button
   * @see ext.button.Button
   * @eventType onMouseOver
   */
  public static const MOUSE_OVER:String = "onMouseOver";

  public function Button_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.button.Button;

  /**
   * The click event
   */
  public native function get e():js.Event;
}
}