package ext.button.events {
import ext.button.Button;
import ext.button.SegmentedButton;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class SegmentedButton_button_isPressedEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when any child button's pressed state has changed.
   * @see ext.button.SegmentedButton
   * @eventType onToggle
   */
  public static const TOGGLE:String = "onToggle";

  public function SegmentedButton_button_isPressedEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.button.SegmentedButton;

  /**
   * The toggled button.
   */
  public native function get button():ext.button.Button;

  /**
   * <code>true</code> to indicate if the button was pressed.
   */
  public native function get isPressed():Boolean;
}
}