package ext.container.events {
import ext.Component;
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DockingContainer_componentEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when any <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a> is removed from the docked items.
   * @see ext.container.DockingContainer
   * @eventType onDockedRemove
   */
  public static const DOCKED_REMOVE:String = "onDockedRemove";

  public function DockingContainer_componentEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.panel.Panel;

  /**
   * The component being removed
   */
  public native function get component():ext.Component;
}
}