package ext.dashboard {
import ext.panel.Panel;

[Uses("ext.panel.Panel")]
[Uses("ext.container.DockingContainer")]
[Uses("ext.Base")]
[Uses("ext.container.Container")]
[Uses("ext.mixin.Queryable")]
[Uses("ext.mixin.Container")]
[Uses("ext.Mixin")]
[Uses("ext.Component")]
[Uses("ext.util.Positionable")]
[Uses("ext.util.Focusable")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Observable")]
[Uses("ext.util.Animate")]
[Uses("ext.util.Floating")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.util.Renderable")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.state.Stateful")]
[Native("Ext.dashboard.Panel", require)]
/**
 * This class is used to wrap content items in the <code>Dashboard</code>. It uses an
 * <code>anchor</code> layout by default and provides resizing on the bottom edge only.
 */
public class DashboardPanel extends ext.panel.Panel {
  /**
   * @param config @inheritDoc
   */
  public function DashboardPanel(config:ext.dashboard.DashboardPanel = null) {
    super();
  }
}
}