package ext.data.events {
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractStore_store_records_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when a Model instance has been added to this Store.
   * @since 1.1.0
   * @see ext.data.AbstractStore
   * @eventType onAdd
   */
  public static const ADD:String = "onAdd";

  public function AbstractStore_store_records_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The store.
   */
  public native function get store():ext.data.Store;

  /**
   * The records that were added.
   */
  public native function get records():Array;

  /**
   * The index at which the records were inserted.
   */
  public native function get index():Number;
}
}