package ext.data.events {
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractStore_store_records_index_isMoveEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when one or more records have been removed from this Store.
   *
   * <p><strong>The signature for this event has changed in 5.0: </strong></p>
   * @since 5.0.0
   * @see ext.data.AbstractStore
   * @eventType onRemove
   */
  public static const REMOVE:String = "onRemove";

  public function AbstractStore_store_records_index_isMoveEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The Store object
   */
  public native function get store():ext.data.Store;

  /**
   * The records that were removed. In previous
   * releases this was a single record, not an array.
   */
  public native function get records():Array;

  /**
   * The index at which the records were removed.
   */
  public native function get index():Number;

  /**
   * <code>true</code> if the child node is being removed so it can be
   * moved to another position in this Store.
   */
  public native function get isMove():Boolean;
}
}