package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class NodeInterfaceEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before this node is collapsed.
   * @see ext.data.NodeInterface
   * @eventType onBeforeCollapse
   */
  public static const BEFORE_COLLAPSE:String = "onBeforeCollapse";

  /**
   * "Fires before this node is expanded.
   * @see ext.data.NodeInterface
   * @eventType onBeforeExpand
   */
  public static const BEFORE_EXPAND:String = "onBeforeExpand";

  /**
   * "Fires when this node is collapsed.
   * @see ext.data.NodeInterface
   * @eventType onCollapse
   */
  public static const COLLAPSE:String = "onCollapse";

  /**
   * "Fires when this node is expanded.
   * @see ext.data.NodeInterface
   * @eventType onExpand
   */
  public static const EXPAND:String = "onExpand";

  public function NodeInterfaceEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The collapsing node
   */
  public native function get source():ext.data.NodeInterface;
}
}