package ext.data.events {
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ProxyStore_metaEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when this store's underlying reader (available via the proxy) provides new metadata.
   * Metadata usually consists of new field definitions, but can include any configuration data
   * required by an application, and can be processed as needed in the event handler.
   * This event is currently only fired for JsonReaders.
   * @since 1.1.0
   * @see ext.data.ProxyStore
   * @eventType onMetaChange
   */
  public static const META_CHANGE:String = "onMetaChange";

  public function ProxyStore_metaEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.data.Store;

  /**
   * The JSON metadata
   */
  public native function get meta():Object;
}
}