package ext.data.events {
import ext.Base;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Session_dirtyEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a change in the object's <a href="#!/api/Ext.mixin.Dirty-cfg-dirty" rel="Ext.mixin.Dirty-cfg-dirty" class="docClass">dirty</a> state is detected.
   *
   * <p><strong>Note:</strong> In order for this event to fire, the class that mixes in this mixin
   * must be <code><a href="#!/api/Ext.mixin.Observable" rel="Ext.mixin.Observable" class="docClass">Observable</a></code>.</p>
   * @see ext.data.Session
   * @eventType onDirtyChange
   */
  public static const DIRTY_CHANGE:String = "onDirtyChange";

  public function Session_dirtyEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Base;

  /**
   * Whether or not the object is now dirty.
   */
  public native function get dirty():Boolean;
}
}