package ext.data.events {
import ext.data.Store;
import ext.data.operation.Operation;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Store_records_successful_operationEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires whenever records have been prefetched.
   * @see ext.data.Store
   * @eventType onPrefetch
   */
  public static const PREFETCH:String = "onPrefetch";

  public function Store_records_successful_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.data.Store;

  /**
   * An array of records.
   */
  public native function get records():Array;

  /**
   * <code>true</code> if the operation was successful.
   */
  public native function get successful():Boolean;

  /**
   * The associated operation.
   */
  public native function get operation():ext.data.operation.Operation;
}
}