package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeStoreEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before this node is collapsed.
   * @see ext.data.TreeStore
   * @eventType onNodeBeforeCollapse
   */
  public static const NODE_BEFORE_COLLAPSE:String = "onNodeBeforeCollapse";

  /**
   * "Fires before this node is expanded.
   * @see ext.data.TreeStore
   * @eventType onNodeBeforeExpand
   */
  public static const NODE_BEFORE_EXPAND:String = "onNodeBeforeExpand";

  /**
   * "Fires when this node is collapsed.
   * @see ext.data.TreeStore
   * @eventType onNodeCollapse
   */
  public static const NODE_COLLAPSE:String = "onNodeCollapse";

  /**
   * "Fires when this node is expanded.
   * @see ext.data.TreeStore
   * @eventType onNodeExpand
   */
  public static const NODE_EXPAND:String = "onNodeExpand";

  public function TreeStoreEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The collapsing node
   */
  public native function get source():ext.data.NodeInterface;
}
}