package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeStore_nodeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a new child is appended, return false to cancel the append.
   * @see ext.data.TreeStore
   * @eventType onNodeBeforeAppend
   */
  public static const NODE_BEFORE_APPEND:String = "onNodeBeforeAppend";

  public function TreeStore_nodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The child node to be appended
   */
  public native function get node():ext.data.NodeInterface;
}
}