package ext.data.operation {

[Uses("ext.data.operation.Operation")]
[Uses("ext.Base")]
[Native("Ext.data.operation.Update", require)]
/**
 * Enacpsulates a update operation as performed by a <a href="#!/api/Ext.data.proxy.Proxy" rel="Ext.data.proxy.Proxy" class="docClass">proxy</a>.
 *
 * <p>This class is instantiated by <a href="#!/api/Ext.data.Store" rel="Ext.data.Store" class="docClass">stores</a> and <a href="#!/api/Ext.data.Model" rel="Ext.data.Model" class="docClass">records</a> and should
 * not need to be instantiated in user code.</p>
 */
public class UpdateOperation extends ext.data.operation.Operation {
  /**
   * @param config @inheritDoc
   */
  public function UpdateOperation(config:ext.data.operation.UpdateOperation = null) {
    super();
  }
}
}