package ext.data.proxy.events {
import ext.data.proxy.DataProxy;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DataProxy_metaEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when this proxy's reader provides new metadata. Metadata usually consists
   * of new field definitions, but can include any configuration data required by an
   * application, and can be processed as needed in the event handler.
   * This event is currently only fired for JsonReaders. Note that this event is also
   * propagated by <a href="#!/api/Ext.data.Store" rel="Ext.data.Store" class="docClass">Ext.data.Store</a>, which is typically where it would be handled.
   * @see ext.data.proxy.DataProxy
   * @eventType onMetaChange
   */
  public static const META_CHANGE:String = "onMetaChange";

  public function DataProxy_metaEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.data.proxy.DataProxy;

  /**
   * The JSON metadata
   */
  public native function get meta():Object;
}
}