package ext.data.proxy.events {
import ext.data.Request;
import ext.data.operation.Operation;
import ext.data.proxy.DataProxy;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ServerProxy_request_operationEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the server returns an exception. This event may also be listened
   * to in the event that a request has timed out or has been aborted.
   * @see ext.data.proxy.ServerProxy
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  public function ServerProxy_request_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.data.proxy.DataProxy;

  /**
   * The request that was sent
   */
  public native function get request():ext.data.Request;

  /**
   * The operation that triggered the request
   */
  public native function get operation():ext.data.operation.Operation;
}
}