package ext.data.request {

[Uses("ext.data.request.BaseRequest")]
[Uses("ext.mixin.Factoryable")]
[Uses("ext.Base")]
[Native("Ext.data.request.Ajax", require)]
/**
 * This class manages a pending Ajax request. Instances of this type are created by the
 * <code><a href="#!/api/Ext.data.Connection-method-request" rel="Ext.data.Connection-method-request" class="docClass">Ext.data.Connection.request</a></code> method.
 */
public class AjaxRequest extends ext.data.request.BaseRequest {
  /**
   * @param config @inheritDoc
   */
  public function AjaxRequest(config:ext.data.request.AjaxRequest = null) {
    super();
  }

  /**
   * Aborts an active request.
   */
  public native function abort(force:Object):void;

  /**
   * Cleans up any left over information from the request
   */
  public native function cleanup():void;
}
}