package ext.data.session {
import ext.Base;

[Uses("ext.Base")]
[Native("Ext.data.session.ChangesVisitor", require)]
/**
 * This class is used internally by <code><a href="#!/api/Ext.data.Session-method-getChanges" rel="Ext.data.Session-method-getChanges" class="docClass">Ext.data.Session.getChanges</a></code> to build
 * up an object describing changes in the session. It is not intended for public use but
 * can be used as an example of the visitor <code><a href="#!/api/Ext.data.Session-method-visitData" rel="Ext.data.Session-method-visitData" class="docClass">Ext.data.Session.visitData</a></code>
 * requires.
 */
public class ChangesVisitor extends ext.Base {}
}