package ext.dd.events {
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DragTracker_e_targetEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the mouse enters the DragTracker's target element (or if <a href="#!/api/Ext.dd.DragTracker-cfg-delegate" rel="Ext.dd.DragTracker-cfg-delegate" class="docClass">delegate</a> is
   * used, when the mouse enters a delegate element).
   *
   * <p><strong>Only available when <a href="#!/api/Ext.dd.DragTracker-cfg-trackOver" rel="Ext.dd.DragTracker-cfg-trackOver" class="docClass">trackOver</a> is <code>true</code></strong></p>
   * @see ext.dd.DragTracker
   * @eventType onMouseOver
   */
  public static const MOUSE_OVER:String = "onMouseOver";

  public function DragTracker_e_targetEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():Object;

  /**
   * event object
   */
  public native function get e():Object;

  /**
   * The element mouseovered.
   */
  public native function get target():js.HTMLElement;
}
}