package ext.drag.events {
import ext.drag.DragInfo;
import ext.drag.DragTarget;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DragTarget_infoEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a valid drop occurs. Return <code>false</code> to prevent the drop from
   * completing.
   * @see ext.drag.DragTarget
   * @eventType onBeforeDrop
   */
  public static const BEFORE_DROP:String = "onBeforeDrop";

  /**
   * "Fires when a drag enters this target.
   * @see ext.drag.DragTarget
   * @eventType onDragEnter
   */
  public static const DRAG_ENTER:String = "onDragEnter";

  /**
   * "Fires when a source leaves this target.
   * @see ext.drag.DragTarget
   * @eventType onDragLeave
   */
  public static const DRAG_LEAVE:String = "onDragLeave";

  /**
   * "Fires when a drag moves while inside this target.
   * @see ext.drag.DragTarget
   * @eventType onDragMove
   */
  public static const DRAG_MOVE:String = "onDragMove";

  /**
   * "Fires when a valid drop occurs.
   * @see ext.drag.DragTarget
   * @eventType onDrop
   */
  public static const DROP:String = "onDrop";

  public function DragTarget_infoEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This target.
   */
  public native function get source():ext.drag.DragTarget;

  /**
   * The drag info.
   */
  public native function get info():ext.drag.DragInfo;
}
}