package ext.events {
import ext.Editor;
import ext.event.Event;
import ext.form.field.Field;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Editor_field_eventEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed.  You can check
   * <a href="#!/api/Ext.event.Event-method-getKey" rel="Ext.event.Event-method-getKey" class="docClass">Ext.event.Event.getKey</a> to determine which key was pressed.
   * @see ext.Editor
   * @eventType onSpecialKey
   */
  public static const SPECIAL_KEY:String = "onSpecialKey";

  public function Editor_field_eventEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Editor;

  /**
   * The field attached to this editor
   */
  public native function get field():ext.form.field.Field;

  /**
   * The event object
   */
  public native function get event():ext.event.Event;
}
}