package ext.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class GlobalEvents_contextEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before <a href="#!/api/Ext.mixin.Responsive" rel="Ext.mixin.Responsive" class="docClass">Ext.mixin.Responsive</a> perform any updates in response to
   * dynamic changes. This is prior to refreshing <code>responsiveFormulas</code>.
   * @since 5.0.1
   * @see ext.SGlobalEvents
   * @eventType onBeforeResponsiveUpdate
   */
  public static const BEFORE_RESPONSIVE_UPDATE:String = "onBeforeResponsiveUpdate";

  /**
   * "Fires when <a href="#!/api/Ext.mixin.Responsive" rel="Ext.mixin.Responsive" class="docClass">Ext.mixin.Responsive</a> is about to perform updates in response to
   * dynamic changes. At this point all <code>responsiveFormulas</code> have been refreshed.
   * @since 5.0.1
   * @see ext.SGlobalEvents
   * @eventType onBeginResponsiveUpdate
   */
  public static const BEGIN_RESPONSIVE_UPDATE:String = "onBeginResponsiveUpdate";

  /**
   * "Fires after <a href="#!/api/Ext.mixin.Responsive" rel="Ext.mixin.Responsive" class="docClass">Ext.mixin.Responsive</a> has performed updates in response to
   * dynamic changes.
   * @since 5.0.1
   * @see ext.SGlobalEvents
   * @eventType onResponsiveUpdate
   */
  public static const RESPONSIVE_UPDATE:String = "onResponsiveUpdate";

  public function GlobalEvents_contextEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The context object used by <code>responsiveConfig</code> expressions.
   */
  public native function get context():Object;
}
}