package ext.form.events {
import ext.form.FieldAncestor;
import ext.form.Labelable;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class FieldSet_field_errorEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the active error message is changed for any one of the <a href="#!/api/Ext.form.Labelable" rel="Ext.form.Labelable" class="docClass">Ext.form.Labelable</a> instances
   * within this container.
   * @see ext.form.FieldSet
   * @eventType onFieldErrorChange
   */
  public static const FIELD_ERROR_CHANGE:String = "onFieldErrorChange";

  public function FieldSet_field_errorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.FieldAncestor;

  /**
   * The Labelable instance whose active error was changed
   */
  public native function get field():ext.form.Labelable;

  /**
   * The active error message
   */
  public native function get error():String;
}
}