package ext.form.field.events {
import ext.form.field.HtmlEditor;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HtmlEditorEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the editor is first receives the focus. Any insertion must wait until after this event.
   * @see ext.form.field.HtmlEditor
   * @eventType onActivate
   */
  public static const ACTIVATE:String = "onActivate";

  /**
   * "Fires when the editor is fully initialized (including the iframe)
   * @see ext.form.field.HtmlEditor
   * @eventType onInitialize
   */
  public static const INITIALIZE:String = "onInitialize";

  public function HtmlEditorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.HtmlEditor;
}
}