package ext.fx.target {

[Uses("ext.fx.target.Target")]
[Uses("ext.Base")]
[Native("Ext.fx.target.Element", require)]
/**
 * This class represents a animation target for an <a href="#!/api/Ext.dom.Element" rel="Ext.dom.Element" class="docClass">Ext.dom.Element</a>. In general this class will not be
 * created directly, the <a href="#!/api/Ext.dom.Element" rel="Ext.dom.Element" class="docClass">Ext.dom.Element</a> will be passed to the animation and
 * and the appropriate target will be created.
 */
public class ElementTarget extends ext.fx.target.Target {
  /**
   * @inheritDoc
   */
  public function ElementTarget(target:* = undefined) {
    super(undefined);
  }
}
}