package ext.grid.filters.filter.events {
import ext.grid.filters.Filters;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class BaseFilterEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when an inactive filter becomes active
   * @see ext.grid.filters.filter.BaseFilter
   * @eventType onActivate
   */
  public static const ACTIVATE:String = "onActivate";

  /**
   * "Fires when an active filter becomes inactive
   * @see ext.grid.filters.filter.BaseFilter
   * @eventType onDeactivate
   */
  public static const DEACTIVATE:String = "onDeactivate";

  /**
   * "Fires when a filter configuration has changed
   * @see ext.grid.filters.filter.BaseFilter
   * @eventType onUpdate
   */
  public static const UPDATE:String = "onUpdate";

  public function BaseFilterEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.grid.filters.Filters;
}
}