package ext.grid.selection.events {
import ext.grid.GridPanel;
import ext.grid.selection.Selection;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class SpreadsheetModelSelection_grid_selectionEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired <em>by the grid</em> after the selection changes. Return <code>false</code> to veto the selection extension.
   *
   * <p>Note that the behavior of selectionchange is different in Ext 6.x vs. Ext 5.  In Ext 6.x, if rows
   * are being selected, a block of records is passed as the second parameter.  In Ext 5, the selection
   * object was passed.</p>
   * @see ext.grid.selection.SpreadsheetModelSelection
   * @eventType onSelectionChange
   */
  public static const SELECTION_CHANGE:String = "onSelectionChange";

  public function SpreadsheetModelSelection_grid_selectionEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The grid whose selection has changed.
   */
  public native function get grid():ext.grid.GridPanel;

  /**
   * A subclass of
   * <a href="#!/api/Ext.grid.selection.Selection" rel="Ext.grid.selection.Selection" class="docClass">Ext.grid.selection.Selection</a> describing the new selection.
   */
  public native function get selection():ext.grid.selection.Selection;
}
}