package ext.list {

[Uses("ext.list.AbstractTreeItem")]
[Uses("ext.Widget")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Pluggable")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.Evented")]
[Uses("ext.mixin.Observable")]
[Native("Ext.list.RootTreeItem", require)]
/**
 * This class implements the top-level node in a <code><a href="#!/api/Ext.list.Tree" rel="Ext.list.Tree" class="docClass">treelist</a></code>. Unlike
 * other nodes, this item is only a container for other items. It does not correspond to
 * a data record.
 */
public class RootTreeItem extends ext.list.AbstractTreeItem {
  /**
   * @inheritDoc
   */
  public function RootTreeItem(config:ext.list.AbstractTreeItem = null) {
    super();
  }

  /**
   * This property is <code>true</code> to allow type checking for this or derived class.
   * @default true
   */
  public native function get isRootListItem():Boolean;
}
}