package ext.menu.events {
import ext.menu.Item;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ItemEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when this item is activated
   * @see ext.menu.Item
   * @eventType onActivate
   */
  public static const ACTIVATE:String = "onActivate";

  /**
   * "Fires when this item is deactivated
   * @see ext.menu.Item
   * @eventType onDeactivate
   */
  public static const DEACTIVATE:String = "onDeactivate";

  public function ItemEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The activated item
   */
  public native function get item():ext.menu.Item;
}
}