package ext.mixin {
import ext.IMixin;

[Uses("ext.Mixin")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Base")]
[Mixin("ext.mixin.ComponentDelegation")]
/**
 * A mixin that gives <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a> and <a href="#!/api/Ext.Widget" rel="Ext.Widget" class="docClass">Ext.Widget</a> the ability to process the "delegate"
 * event option.
 * @see ext.mixin.ComponentDelegation
 */
public interface IComponentDelegation extends ext.IMixin {}
}