package ext.panel.events {
import ext.grid.header.HeaderContainer;
import ext.menu.Menu;
import ext.panel.TablePanel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_menu_headerCtEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired immediately after the column header menu is created.
   * @see ext.panel.TablePanel
   * @eventType onHeaderMenuCreate
   */
  public static const HEADER_MENU_CREATE:String = "onHeaderMenuCreate";

  public function TablePanel_menu_headerCtEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This grid instance
   */
  public native function get grid():ext.panel.TablePanel;

  /**
   * The Menu that was created
   */
  public native function get menu():ext.menu.Menu;

  /**
   * This header container
   */
  public native function get headerCt():ext.grid.header.HeaderContainer;
}
}