package ext.panel.events {
import ext.data.Model;
import ext.selection.RowSelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_record_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired before a record is deselected. If any listener returns false, the
   * deselection is cancelled.
   * @see ext.panel.TablePanel
   * @eventType onBeforeDeselect
   */
  public static const BEFORE_DESELECT:String = "onBeforeDeselect";

  /**
   * "Fired before a record is selected. If any listener returns false, the
   * selection is cancelled.
   * @see ext.panel.TablePanel
   * @eventType onBeforeSelect
   */
  public static const BEFORE_SELECT:String = "onBeforeSelect";

  /**
   * "Fired after a record is deselected
   * @see ext.panel.TablePanel
   * @eventType onDeselect
   */
  public static const DESELECT:String = "onDeselect";

  /**
   * "Fired after a record is selected
   * @see ext.panel.TablePanel
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public function TablePanel_record_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.selection.RowSelectionModel;

  /**
   * The deselected record
   */
  public native function get record():ext.data.Model;

  /**
   * The row index deselected
   */
  public native function get index():Number;
}
}