package ext.panel.events {
import ext.data.Store;
import ext.data.operation.Operation;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_store_operationEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a request is made for a new data object. If the beforeload handler returns false the load
   * action will be canceled.
   * @see ext.panel.TablePanel
   * @eventType onBeforeLoad
   */
  public static const BEFORE_LOAD:String = "onBeforeLoad";

  public function TablePanel_store_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This Store
   */
  public native function get store():ext.data.Store;

  /**
   * The <a href="#!/api/Ext.data.operation.Operation" rel="Ext.data.operation.Operation" class="docClass">Ext.data.operation.Operation</a> object that will be passed to the Proxy to
   * load the Store
   */
  public native function get operation():ext.data.operation.Operation;
}
}