package ext.panel.events {
import ext.Component;
import ext.event.Event;
import ext.panel.Tool;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Tool_e_ownerEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the tool is clicked
   * @since 5.0.0
   * @see ext.panel.Tool
   * @eventType onClick
   */
  public static const CLICK:String = "onClick";

  public function Tool_e_ownerEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.panel.Tool;

  /**
   * The event object
   */
  public native function get e():ext.event.Event;

  /**
   * The logical owner of the tool. In a typical
   * <code><a href="#!/api/Ext.panel.Panel" rel="Ext.panel.Panel" class="docClass">Ext.panel.Panel</a></code>, this is set to the owning panel. This value comes from the
   * <code>toolOwner</code> config.
   * Note that if the tool handler destroys the tool and/or its owner, the event
   * will not fire.
   */
  public native function get owner():ext.Component;
}
}