package ext.tree.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreePanel_node_refNodeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a new child is inserted, return false to cancel the insert.
   * @see ext.tree.TreePanel
   * @eventType onBeforeItemInsert
   */
  public static const BEFORE_ITEM_INSERT:String = "onBeforeItemInsert";

  /**
   * "Fires when a new child node is inserted.
   * @see ext.tree.TreePanel
   * @eventType onItemInsert
   */
  public static const ITEM_INSERT:String = "onItemInsert";

  public function TreePanel_node_refNodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The child node to be inserted
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * The child node the node is being inserted before
   */
  public native function get refNode():ext.data.NodeInterface;
}
}