package ext.util {

[Uses("ext.util.SCookies")]
[Uses("ext.Base")]
[Native("Ext.util.Cookies", require)]
/**
 * Utility class for setting/reading values from browser cookies.
 * Values can be written using the <a href="#!/api/Ext.util.Cookies-method-set" rel="Ext.util.Cookies-method-set" class="docClass">set</a> method.
 * Values can be read using the <a href="#!/api/Ext.util.Cookies-method-get" rel="Ext.util.Cookies-method-get" class="docClass">get</a> method.
 * A cookie can be invalidated on the client machine using the <a href="#!/api/Ext.util.Cookies-method-clear" rel="Ext.util.Cookies-method-clear" class="docClass">clear</a> method.
 */
public const Cookies:ext.util.SCookies;
}