package ext.view.events {
import ext.view.DataView;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractView_records_index_node_viewEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the nodes associated with an recordset have been added to the underlying store
   * @see ext.view.AbstractView
   * @eventType onItemAdd
   */
  public static const ITEM_ADD:String = "onItemAdd";

  public function AbstractView_records_index_node_viewEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The model instance
   */
  public native function get records():Array;

  /**
   * The index at which the set of records was inserted
   */
  public native function get index():Number;

  /**
   * The node that has just been updated
   */
  public native function get node():Array;

  /**
   * The view adding the item
   */
  public native function get view():ext.view.DataView;
}
}