package ext.view.events {
import ext.dom.Element;
import ext.view.DataView;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DataView_nodeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a node is highlighted using keyboard navigation, or mouseover.
   * @see ext.view.DataView
   * @eventType onHighlightItem
   */
  public static const HIGHLIGHT_ITEM:String = "onHighlightItem";

  /**
   * "Fires when a node is unhighlighted using keyboard navigation, or mouseout.
   * @see ext.view.DataView
   * @eventType onUnhighlightItem
   */
  public static const UNHIGHLIGHT_ITEM:String = "onUnhighlightItem";

  public function DataView_nodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This View Component.
   */
  public native function get view():ext.view.DataView;

  /**
   * The highlighted node.
   */
  public native function get node():ext.dom.Element;
}
}