Ext.define("ext.data.events.AbstractStoreEvent", function(AbstractStoreEvent) {/*package ext.data.events {
import net.jangaroo.ext.FlExtEvent;

public class AbstractStoreEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){AbstractStoreEvent.__PARAMETER_SEQUENCE__=( ["eOpts"]);}/*;
  /**
   * "Fires when the <a href="#!/api/Ext.data.AbstractStore-method-beginUpdate" rel="Ext.data.AbstractStore-method-beginUpdate" class="docClass">beginUpdate</a> method is called. Automatic synchronization as configured
   * by the <a href="#!/api/Ext.data.ProxyStore-cfg-autoSync" rel="Ext.data.ProxyStore-cfg-autoSync" class="docClass">autoSync</a> flag is deferred until the <a href="#!/api/Ext.data.AbstractStore-method-endUpdate" rel="Ext.data.AbstractStore-method-endUpdate" class="docClass">endUpdate</a> method is called, so multiple
   * mutations can be coalesced into one synchronization operation.
   * @see ext.data.AbstractStore
   * @eventType onBeginUpdate
   * /
  public static const BEGIN_UPDATE:String = "onBeginUpdate";
  /**
   * "Fired after the <a href="#!/api/Ext.data.Store-method-removeAll" rel="Ext.data.Store-method-removeAll" class="docClass">removeAll</a> method is called.
   * @since 1.1.0
   * @see ext.data.AbstractStore
   * @eventType onClear
   * /
  public static const CLEAR:String = "onClear";
  /**
   * "Fires whenever records are added to or removed from the Store.
   *
   * <p>To hook into modifications of records in this Store use the <a href="#!/api/Ext.data.AbstractStore-event-update" rel="Ext.data.AbstractStore-event-update" class="docClass">update</a> event.</p>
   * @since 1.1.0
   * @see ext.data.AbstractStore
   * @eventType onDataChanged
   * /
  public static const DATA_CHANGED:String = "onDataChanged";
  /**
   * "Fires when the <a href="#!/api/Ext.data.AbstractStore-method-endUpdate" rel="Ext.data.AbstractStore-method-endUpdate" class="docClass">endUpdate</a> method is called. Automatic synchronization as configured
   * by the <a href="#!/api/Ext.data.ProxyStore-cfg-autoSync" rel="Ext.data.ProxyStore-cfg-autoSync" class="docClass">autoSync</a> flag is deferred until the <a href="#!/api/Ext.data.AbstractStore-method-endUpdate" rel="Ext.data.AbstractStore-method-endUpdate" class="docClass">endUpdate</a> method is called, so multiple
   * mutations can be coalesced into one synchronization operation.
   * @see ext.data.AbstractStore
   * @eventType onEndUpdate
   * /
  public static const END_UPDATE:String = "onEndUpdate";
  /**
   * "Fires when the data cache has changed in a bulk manner (e.g., it has been sorted, filtered, etc.) and a
   * widget that is using this Store as a Record cache should refresh its view.
   * @see ext.data.AbstractStore
   * @eventType onRefresh
   * /
  public static const REFRESH:String = "onRefresh";

  public*/ function AbstractStoreEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: AbstractStoreEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        BEGIN_UPDATE: "onBeginUpdate",
        CLEAR: "onClear",
        DATA_CHANGED: "onDataChanged",
        END_UPDATE: "onEndUpdate",
        REFRESH: "onRefresh",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
