Ext.define("ext.data.events.AbstractStore_store_sortersEvent", function(AbstractStore_store_sortersEvent) {/*package ext.data.events {
import ext.data.Store;

import net.jangaroo.ext.FlExtEvent;

public class AbstractStore_store_sortersEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){AbstractStore_store_sortersEvent.__PARAMETER_SEQUENCE__=( ["store", "sorters", "eOpts"]);}/*;
  /**
   * "Fires before a store is sorted.
   *
   * <p>For <a href="#!/api/Ext.data.AbstractStore-cfg-remoteSort" rel="Ext.data.AbstractStore-cfg-remoteSort" class="docClass">remotely sorted</a> stores, this will be just before the load operation triggered by changing the
   * store's sorters.</p>
   *
   * <p>For locally sorted stores, this will be just before the data items in the store's backing collection are sorted.</p>
   * @see ext.data.AbstractStore
   * @eventType onBeforeSort
   * /
  public static const BEFORE_SORT:String = "onBeforeSort";

  public*/ function AbstractStore_store_sortersEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  /**
   * The store being sorted
   * /
  public native function get store():Store;

  /**
   * Array of sorters applied to the store
   * /
  public native function get sorters():Array;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: AbstractStore_store_sortersEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        BEFORE_SORT: "onBeforeSort",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
