Ext.define("ext.data.events.Connection_response_optionsEvent", function(Connection_response_optionsEvent) {/*package ext.data.events {
import ext.data.Connection;

import net.jangaroo.ext.FlExtEvent;

public class Connection_response_optionsEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){Connection_response_optionsEvent.__PARAMETER_SEQUENCE__=( ["conn", "response", "options", "eOpts"]);}/*;
  /**
   * "Fires if the request was successfully completed.
   * @see ext.data.Connection
   * @eventType onRequestComplete
   * /
  public static const REQUEST_COMPLETE:String = "onRequestComplete";
  /**
   * "Fires if an error HTTP status was returned from the server. This event may also
   * be listened to in the event that a request has timed out or has been aborted.
   * See <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html">HTTP Status Code Definitions</a>
   * for details of HTTP status codes.
   * @see ext.data.Connection
   * @eventType onRequestException
   * /
  public static const REQUEST_EXCEPTION:String = "onRequestException";

  public*/ function Connection_response_optionsEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  /**
   * This Connection object.
   * /
  public native function get conn():Connection;

  /**
   * The XHR object containing the response data.
   * See <a href="http://www.w3.org/TR/XMLHttpRequest/">The XMLHttpRequest Object</a> for details.
   * /
  public native function get response():Object;

  /**
   * The options config object passed to the <a href="#!/api/Ext.data.Connection-method-request" rel="Ext.data.Connection-method-request" class="docClass">request</a> method.
   * /
  public native function get options():Object;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: Connection_response_optionsEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        REQUEST_COMPLETE: "onRequestComplete",
        REQUEST_EXCEPTION: "onRequestException",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
