Ext.define("ext.panel.events.TablePanel_An_extensionEvent", function(TablePanel_An_extensionEvent) {/*package ext.panel.events {
import ext.grid.selection.Selection;
import ext.panel.TablePanel;

import net.jangaroo.ext.FlExtEvent;

public class TablePanel_An_extensionEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){TablePanel_An_extensionEvent.__PARAMETER_SEQUENCE__=( ["grid", "An", "extension", "eOpts"]);}/*;
  /**
   * ".
   * An event fired when an extension block is extended
   * using a drag gesture.  Only fired when the SpreadsheetSelectionModel is used and
   * configured with the
   * <a href="#!/api/Ext.grid.selection.SpreadsheetModel-cfg-extensible" rel="Ext.grid.selection.SpreadsheetModel-cfg-extensible" class="docClass">extensible</a> config.
   * @see ext.panel.TablePanel
   * @eventType onBeforeSelectionExtend
   * /
  public static const BEFORE_SELECTION_EXTEND:String = "onBeforeSelectionExtend";
  /**
   * ".
   * An event fired when an extension block is dragged to
   * encompass a new range.  Only fired when the SpreadsheetSelectionModel is used and
   * configured with the
   * <a href="#!/api/Ext.grid.selection.SpreadsheetModel-cfg-extensible" rel="Ext.grid.selection.SpreadsheetModel-cfg-extensible" class="docClass">extensible</a> config.
   * @see ext.panel.TablePanel
   * @eventType onSelectionExtenderDrag
   * /
  public static const SELECTION_EXTENDER_DRAG:String = "onSelectionExtenderDrag";

  public*/ function TablePanel_An_extensionEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  /**
   * The owning grid.
   * /
  public native function get grid():TablePanel;

  /**
   * object which encapsulates a contiguous selection block.
   * /
  public native function get An():Selection;

  /**
   * An object describing the type and size of extension.
   * <ul>
   *   <li><code>type</code> : String
   * <code>"rows"</code> or <code>"columns"</code>
   *   </li>
   *   <li><code>start</code> : ext.grid.CellContext
   * The start (top left) cell of the extension area.
   *   </li>
   *   <li><code>end</code> : ext.grid.CellContext
   * The end (bottom right) cell of the extension area.
   *   </li>
   *   <li><code>columns</code> : Number (optional)
   * The number of columns extended (-ve means on the left side).
   *   </li>
   *   <li><code>rows</code> : Number (optional)
   * The number of rows extended (-ve means on the top side).
   *   </li>
   * </ul>
   * /
  public native function get extension():Object;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: TablePanel_An_extensionEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        BEFORE_SELECTION_EXTEND: "onBeforeSelectionExtend",
        SELECTION_EXTENDER_DRAG: "onSelectionExtenderDrag",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
