Ext.define("ext.tree.events.TreePanel_node_isMove_contextEvent", function(TreePanel_node_isMove_contextEvent) {/*package ext.tree.events {
import ext.data.NodeInterface;

import net.jangaroo.ext.FlExtEvent;

public class TreePanel_node_isMove_contextEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){TreePanel_node_isMove_contextEvent.__PARAMETER_SEQUENCE__=( ["source", "node", "isMove", "context", "eOpts"]);}/*;
  /**
   * "Fires when a child node is removed
   * @see ext.tree.TreePanel
   * @eventType onItemRemove
   * /
  public static const ITEM_REMOVE:String = "onItemRemove";

  public*/ function TreePanel_node_isMove_contextEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  /**
   * This node
   * /
  public native function get source():NodeInterface;

  /**
   * The removed node
   * /
  public native function get node():NodeInterface;

  /**
   * <code>true</code> if the child node is being removed so it can be moved to another position in the tree.
   * /
  public native function get isMove():Boolean;

  /**
   * An object providing information about where the removed node came from. It contains the following properties:
   * <ul>
   *   <li><code>parentNode</code> : ext.data.NodeInterface
   * The node from which the removed node was removed.
   *   </li>
   *   <li><code>previousSibling</code> : ext.data.NodeInterface
   * The removed node's former previous sibling.
   *   </li>
   *   <li><code>nextSibling</code> : ext.data.NodeInterface
   * The removed node's former next sibling.
   * (a side effect of calling <a href="#!/api/Ext.data.NodeInterface-method-appendChild" rel="Ext.data.NodeInterface-method-appendChild" class="docClass">appendChild</a> or
   * <a href="#!/api/Ext.data.NodeInterface-method-insertBefore" rel="Ext.data.NodeInterface-method-insertBefore" class="docClass">insertBefore</a> with a node that already has a parentNode)
   *   </li>
   * </ul>
   * /
  public native function get context():Object;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: TreePanel_node_isMove_contextEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        ITEM_REMOVE: "onItemRemove",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
