Ext.define("ext.util.events.CollectionEvent", function(CollectionEvent) {/*package ext.util.events {
import ext.util.Collection;

import net.jangaroo.ext.FlExtEvent;

public class CollectionEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){CollectionEvent.__PARAMETER_SEQUENCE__=( ["collection", "eOpts"]);}/*;
  /**
   * "Fired before changes are made to the collection. This event fires when the
   * <code>beginUpdate</code> method is called and the counter it manages transitions from 0 to 1.
   *
   * <p>All <code><a href="#!/api/Ext.util.Collection-event-add" rel="Ext.util.Collection-event-add" class="docClass">add</a></code> and <code><a href="#!/api/Ext.util.Collection-event-remove" rel="Ext.util.Collection-event-remove" class="docClass">remove</a></code> events occur between
   * <code><a href="#!/api/Ext.util.Collection-event-beginupdate" rel="Ext.util.Collection-event-beginupdate" class="docClass">beginupdate</a></code> and <code><a href="#!/api/Ext.util.Collection-event-endupdate" rel="Ext.util.Collection-event-endupdate" class="docClass">endupdate</a></code>
   * events so it is best to do only the minimal amount of work in response to these
   * events and move the more expensive side-effects to an <code>endupdate</code> listener.</p>
   * @since 5.0.0
   * @see ext.util.Collection
   * @eventType onBeginUpdate
   * /
  public static const BEGIN_UPDATE:String = "onBeginUpdate";
  /**
   * "Fired after changes are made to the collection. This event fires when the <code>endUpdate</code>
   * method is called and the counter it manages transitions from 1 to 0.
   *
   * <p>All <code><a href="#!/api/Ext.util.Collection-event-add" rel="Ext.util.Collection-event-add" class="docClass">add</a></code> and <code><a href="#!/api/Ext.util.Collection-event-remove" rel="Ext.util.Collection-event-remove" class="docClass">remove</a></code> events occur between
   * <code><a href="#!/api/Ext.util.Collection-event-beginupdate" rel="Ext.util.Collection-event-beginupdate" class="docClass">beginupdate</a></code> and <code><a href="#!/api/Ext.util.Collection-event-endupdate" rel="Ext.util.Collection-event-endupdate" class="docClass">endupdate</a></code>
   * events so it is best to do only the minimal amount of work in response to these
   * events and move the more expensive side-effects to an <code>endupdate</code> listener.</p>
   * @since 5.0.0
   * @see ext.util.Collection
   * @eventType onEndUpdate
   * /
  public static const END_UPDATE:String = "onEndUpdate";
  /**
   * "This event fires when the collection has changed entirely. This event is fired in
   * cases where the collection's filter is updated or the items are sorted. While the
   * items previously in the collection may remain the same, the order at a minimum has
   * changed in ways that cannot be simply translated to other events.
   * @see ext.util.Collection
   * @eventType onRefresh
   * /
  public static const REFRESH:String = "onRefresh";
  /**
   * "This event fires after the contents of the collection have been sorted.
   * @see ext.util.Collection
   * @eventType onSort
   * /
  public static const SORT:String = "onSort";

  public*/ function CollectionEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  /**
   * The collection being modified.
   * /
  public native function get collection():Collection;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: CollectionEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        BEGIN_UPDATE: "onBeginUpdate",
        END_UPDATE: "onEndUpdate",
        REFRESH: "onRefresh",
        SORT: "onSort",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
