package ext.button.events {
import ext.button.Button;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Button_pressedEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before the 'pressed' state of this button changes (only if enableToggle = true)
   * If a handler returns <code>false</code>, the toggle is vetoed.
   * @see ext.button.Button
   * @eventType onBeforeToggle
   */
  public static const BEFORE_TOGGLE:String = "onBeforeToggle";

  /**
   * "Fires when the 'pressed' state of this button changes (only if enableToggle = true)
   * @see ext.button.Button
   * @eventType onToggle
   */
  public static const TOGGLE:String = "onToggle";

  public function Button_pressedEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.button.Button;

  public native function get pressed():Boolean;
}
}