package ext.container.events {
import ext.container.Container;
import ext.layout.container.ContainerLayout;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Container_layoutEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the components in this container are arranged by the associated layout manager.
   * @since 2.3.0
   * @see ext.container.Container
   * @eventType onAfterLayout
   */
  public static const AFTER_LAYOUT:String = "onAfterLayout";

  public function Container_layoutEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.container.Container;

  /**
   * The ContainerLayout implementation for this container
   */
  public native function get layout():ext.layout.container.ContainerLayout;
}
}