package ext.data.events {
import ext.data.Model;
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractStore_record_operation_modifiedFieldNames_detailsEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a Model instance has been updated.
   * @since 1.1.0
   * @see ext.data.AbstractStore
   * @eventType onUpdate
   */
  public static const UPDATE:String = "onUpdate";

  public function AbstractStore_record_operation_modifiedFieldNames_detailsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.data.Store;

  /**
   * The Model instance that was updated
   */
  public native function get record():ext.data.Model;

  /**
   * The update operation being performed. Value may be one of:
   * <pre><code><a href="#!/api/Ext.data.Model-static-property-EDIT" rel="Ext.data.Model-static-property-EDIT" class="docClass">Ext.data.Model.EDIT</a>
   * <a href="#!/api/Ext.data.Model-static-property-REJECT" rel="Ext.data.Model-static-property-REJECT" class="docClass">Ext.data.Model.REJECT</a>
   * <a href="#!/api/Ext.data.Model-static-property-COMMIT" rel="Ext.data.Model-static-property-COMMIT" class="docClass">Ext.data.Model.COMMIT</a>
   * </code></pre>
   */
  public native function get operation():String;

  /**
   * Array of field names changed during edit.
   */
  public native function get modifiedFieldNames():Array;

  /**
   * An object describing the change. See the
   * <a href="#!/api/Ext.util.Collection-event-itemchange" rel="Ext.util.Collection-event-itemchange" class="docClass">itemchange event</a> of the store's backing collection
   */
  public native function get details():Object;
}
}