package ext.data.events {
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractStore_storeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after a store is sorted.
   *
   * <p>For <a href="#!/api/Ext.data.AbstractStore-cfg-remoteSort" rel="Ext.data.AbstractStore-cfg-remoteSort" class="docClass">remotely sorted</a> stores, this will be upon the success of a load operation triggered by
   * changing the store's sorters.</p>
   *
   * <p>For locally sorted stores, this will be just after the data items in the store's backing collection are sorted.</p>
   * @see ext.data.AbstractStore
   * @eventType onSort
   */
  public static const SORT:String = "onSort";

  public function AbstractStore_storeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The store being sorted
   */
  public native function get store():ext.data.Store;
}
}