package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeStore_node_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a new child node is appended
   * @see ext.data.TreeStore
   * @eventType onNodeAppend
   */
  public static const NODE_APPEND:String = "onNodeAppend";

  public function TreeStore_node_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The newly appended node
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * The index of the newly appended node
   */
  public native function get index():Number;
}
}