package ext.data.field {

[Uses("ext.data.field.DataField")]
[Uses("ext.mixin.Factoryable")]
[Uses("ext.Base")]
[Native("Ext.data.field.Boolean", require)]
public class BooleanField extends ext.data.field.DataField {
  /**
   * @param config @inheritDoc
   */
  public function BooleanField(config:ext.data.field.BooleanField = null) {
    super();
  }

  /**
   * Values matching this regular expression are considered <code>true</code>.
   * @default /^\s*(?:true|yes|on|1)\s*$/i
   */
  public native function get trueRe():RegExp;

  /**
   * @private
   */
  public native function set trueRe(value:RegExp):void;
}
}