package ext.data.reader.events {
import ext.data.ResultSet;
import ext.data.reader.DataReader;
import js.XMLHttpRequest;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DataReader_response_errorEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the reader receives improperly encoded data from the server
   * @see ext.data.reader.DataReader
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  public function DataReader_response_errorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * A reference to this reader
   */
  public native function get reader():ext.data.reader.DataReader;

  /**
   * The XMLHttpRequest response object
   */
  public native function get response():js.XMLHttpRequest;

  /**
   * The error object
   */
  public native function get error():ext.data.ResultSet;
}
}