package ext.direct {
import ext.Base;

[Uses("ext.Base")]
[Native("Ext.direct.Transaction", require)]
/**
 * Supporting Class for Ext Direct (not intended to be used directly).
 */
public class Transaction extends ext.Base {
  /**
   * Creates new Transaction.
   * @param config Config object.
   */
  public function Transaction(config:ext.direct.Transaction = null) {
    super();
  }

  [ExtConfig]
  /**
   * Provider to use with this Transaction.
   */
  public native function get provider():ext.direct.Provider;

  [ExtConfig]
  /**
   * @private
   */
  public native function set provider(value:ext.direct.Provider):void;
}
}