package ext.direct.events {
import ext.direct.DirectEvent;
import ext.direct.Provider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DirectManager_event_providerEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after an event.
   * @see ext.direct.SDirectManager
   * @eventType onEvent
   */
  public static const EVENT:String = "onEvent";

  /**
   * "Fires after an event exception.
   * @see ext.direct.SDirectManager
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  public function DirectManager_event_providerEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The <a href="#!/api/Ext.direct.Event" rel="Ext.direct.Event" class="docClass">Event</a> that occurred.
   */
  public native function get event():ext.direct.DirectEvent;

  /**
   * The <a href="#!/api/Ext.direct.Provider" rel="Ext.direct.Provider" class="docClass">Provider</a>
   * that provided the event.
   */
  public native function get provider():ext.direct.Provider;
}
}