package ext.direct.events {
import ext.direct.Provider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DirectManager_url_providerEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired by <a href="#!/api/Ext.direct.Manager-method-loadProvider" rel="Ext.direct.Manager-method-loadProvider" class="docClass">loadProvider</a> after successfully loading RemotingProvider API
   * declaration and creating a new Provider instance.
   * @see ext.direct.SDirectManager
   * @eventType onProviderLoad
   */
  public static const PROVIDER_LOAD:String = "onProviderLoad";

  public function DirectManager_url_providerEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The URL used to retrieve remoting API.
   */
  public native function get url():String;

  /**
   * The <a href="#!/api/Ext.direct.Provider" rel="Ext.direct.Provider" class="docClass">Provider</a>
   * instance that was created.
   */
  public native function get provider():ext.direct.Provider;
}
}