package ext.direct.events {
import ext.direct.DirectEvent;
import ext.direct.Provider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Provider_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the Provider receives data from the server-side. This event is fired
   * for valid responses as well as for exceptions.
   * @see ext.direct.Provider
   * @eventType onData
   */
  public static const DATA:String = "onData";

  /**
   * "Fires when the Provider receives an exception from the server-side. This event is <em>not</em>
   * fired for valid responses.
   * @see ext.direct.Provider
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  public function Provider_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The <a href="#!/api/Ext.direct.Provider" rel="Ext.direct.Provider" class="docClass">Provider</a> instance.
   */
  public native function get provider():ext.direct.Provider;

  /**
   * The <a href="#!/api/Ext.direct.Event" rel="Ext.direct.Event" class="docClass">Ext.direct.Event</a> that occurred.
   */
  public native function get e():ext.direct.DirectEvent;
}
}