package ext.events {
import ext.Component;
import ext.event.Event;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Component_eventEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when this Component loses focus.
   * @see ext.Component
   * @eventType onBlur
   */
  public static const BLUR:String = "onBlur";

  /**
   * "Fires when this Component receives focus.
   * @see ext.Component
   * @eventType onFocus
   */
  public static const FOCUS:String = "onFocus";

  /**
   * "Fires when focus enters this Component's hierarchy.
   * @see ext.Component
   * @eventType onFocusEnter
   */
  public static const FOCUS_ENTER:String = "onFocusEnter";

  /**
   * "Fires when focus leaves this Component's hierarchy.
   * @see ext.Component
   * @eventType onFocusLeave
   */
  public static const FOCUS_LEAVE:String = "onFocusLeave";

  public function Component_eventEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Component;

  /**
   * The blur event.
   */
  public native function get event():ext.event.Event;
}
}