package ext.events {
import ext.Component;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Component_width_heightEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires <em>one time</em> - after the component has been laid out for the first time at its initial size.
   *
   * <p>This event does not fire on components that use <a href="#!/api/Ext.Component-cfg-liquidLayout" rel="Ext.Component-cfg-liquidLayout" class="docClass">liquidLayout</a>, such as
   * <a href="#!/api/Ext.button.Button" rel="Ext.button.Button" class="docClass">Buttons</a> and <a href="#!/api/Ext.form.field.Base" rel="Ext.form.field.Base" class="docClass">Form Fields</a>.</p>
   * @see ext.Component
   * @eventType onBoxReady
   */
  public static const BOX_READY:String = "onBoxReady";

  public function Component_width_heightEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Component;

  /**
   * The initial width.
   */
  public native function get width():Number;

  /**
   * The initial height.
   */
  public native function get height():Number;
}
}