package ext.events {
import ext.Editor;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Editor_value_startValueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after a change has been made to the field, but before the change is reflected in the underlying
   * field.  Saving the change to the field can be canceled by returning false from the handler of this event.
   * Note that if the value has not changed and ignoreNoChange = true, the editing will still end but this
   * event will not fire since no edit actually occurred.
   * @see ext.Editor
   * @eventType onBeforeComplete
   */
  public static const BEFORE_COMPLETE:String = "onBeforeComplete";

  /**
   * "Fires after editing has been canceled and the editor's value has been reset.
   * @see ext.Editor
   * @eventType onCancelEdit
   */
  public static const CANCEL_EDIT:String = "onCancelEdit";

  /**
   * "Fires after editing is complete and any changed value has been written to the underlying field.
   * @see ext.Editor
   * @eventType onComplete
   */
  public static const COMPLETE:String = "onComplete";

  public function Editor_value_startValueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Editor;

  /**
   * The current field value
   */
  public native function get value():Object;

  /**
   * The original field value
   */
  public native function get startValue():Object;
}
}