package ext.events {
import ext.Widget;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Widget_value_oldValueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the <a href="#!/api/Ext.Widget-cfg-height" rel="Ext.Widget-cfg-height" class="docClass">height</a> configuration is changed by <a href="#!/api/Ext.Widget-method-setHeight" rel="Ext.Widget-method-setHeight" class="docClass">setHeight</a>.
   * @see ext.Widget
   * @eventType onHeightChange
   */
  public static const HEIGHT_CHANGE:String = "onHeightChange";

  /**
   * "Fires when the <a href="#!/api/Ext.Widget-cfg-hidden" rel="Ext.Widget-cfg-hidden" class="docClass">hidden</a> configuration is changed by <a href="#!/api/Ext.Widget-method-setHidden" rel="Ext.Widget-method-setHidden" class="docClass">setHidden</a>.
   * @see ext.Widget
   * @eventType onHiddenChange
   */
  public static const HIDDEN_CHANGE:String = "onHiddenChange";

  /**
   * "Fires when the <a href="#!/api/Ext.Widget-cfg-width" rel="Ext.Widget-cfg-width" class="docClass">width</a> configuration is changed by <a href="#!/api/Ext.Widget-method-setWidth" rel="Ext.Widget-method-setWidth" class="docClass">setWidth</a>.
   * @see ext.Widget
   * @eventType onWidthChange
   */
  public static const WIDTH_CHANGE:String = "onWidthChange";

  public function Widget_value_oldValueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The <a href="#!/api/Ext.Widget" rel="Ext.Widget" class="docClass">Ext.Widget</a> instance.
   */
  public native function get source():ext.Widget;

  /**
   * The new value being set.
   */
  public native function get value():*;

  /**
   * The existing value.
   */
  public native function get oldValue():*;
}
}