package ext.form.events {
import ext.form.FieldSet;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class FieldSetEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before this FieldSet is collapsed. Return false to prevent the collapse.
   * @see ext.form.FieldSet
   * @eventType onBeforeCollapse
   */
  public static const BEFORE_COLLAPSE:String = "onBeforeCollapse";

  /**
   * "Fires before this FieldSet is expanded. Return false to prevent the expand.
   * @see ext.form.FieldSet
   * @eventType onBeforeExpand
   */
  public static const BEFORE_EXPAND:String = "onBeforeExpand";

  /**
   * "Fires after this FieldSet has collapsed.
   * @see ext.form.FieldSet
   * @eventType onCollapse
   */
  public static const COLLAPSE:String = "onCollapse";

  /**
   * "Fires after this FieldSet has expanded.
   * @see ext.form.FieldSet
   * @eventType onExpand
   */
  public static const EXPAND:String = "onExpand";

  public function FieldSetEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The FieldSet being collapsed.
   */
  public native function get fieldset():ext.form.FieldSet;
}
}