package ext.form.field.events {
import ext.form.field.ComboBox;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ComboBox_recordEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when at least one list item is selected.
   * @see ext.form.field.ComboBox
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public function ComboBox_recordEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This combo box
   */
  public native function get combo():ext.form.field.ComboBox;

  /**
   * With <a href="#!/api/Ext.form.field.ComboBox-cfg-multiSelect" rel="Ext.form.field.ComboBox-cfg-multiSelect" class="docClass">multiSelect</a>
   * <code>false</code>, the value will be a single record. With <a href="#!/api/Ext.form.field.ComboBox-cfg-multiSelect" rel="Ext.form.field.ComboBox-cfg-multiSelect" class="docClass">multiSelect</a> <code>true</code>, the
   * value will be an array of records.
   */
  public native function get record():*;
}
}