package ext.form.field.events {
import ext.data.Model;
import ext.form.field.ComboBox;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ComboBox_record_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before the deselected item is removed from the collection
   * @see ext.form.field.ComboBox
   * @eventType onBeforeDeselect
   */
  public static const BEFORE_DESELECT:String = "onBeforeDeselect";

  /**
   * "Fires before the selected item is added to the collection
   * @see ext.form.field.ComboBox
   * @eventType onBeforeSelect
   */
  public static const BEFORE_SELECT:String = "onBeforeSelect";

  public function ComboBox_record_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This combo box
   */
  public native function get combo():ext.form.field.ComboBox;

  /**
   * The deselected record
   */
  public native function get record():ext.data.Model;

  /**
   * The index of the deselected record
   */
  public native function get index():Number;
}
}