package ext.form.field.events {
import ext.form.field.Picker;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class PickerEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the field's picker is collapsed.
   * @see ext.form.field.Picker
   * @eventType onCollapse
   */
  public static const COLLAPSE:String = "onCollapse";

  /**
   * "Fires when the field's picker is expanded.
   * @see ext.form.field.Picker
   * @eventType onExpand
   */
  public static const EXPAND:String = "onExpand";

  public function PickerEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This field instance
   */
  public native function get field():ext.form.field.Picker;
}
}