package ext.fx.target {

[Uses("ext.fx.target.Target")]
[Uses("ext.Base")]
[Native("Ext.fx.target.Component", require)]
/**
 * This class represents a animation target for a <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a>. In general this class will not be
 * created directly, the <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a> will be passed to the animation and
 * and the appropriate target will be created.
 */
public class ComponentTarget extends ext.fx.target.Target {
  /**
   * @inheritDoc
   */
  public function ComponentTarget(target:* = undefined) {
    super(undefined);
  }
}
}