package ext.fx.target {

[Uses("ext.fx.target.ElementTarget")]
[Uses("ext.fx.target.Target")]
[Uses("ext.Base")]
[Native("Ext.fx.target.ElementCSS", require)]
/**
 * This class represents a animation target for an <a href="#!/api/Ext.dom.Element" rel="Ext.dom.Element" class="docClass">Ext.dom.Element</a> that supports CSS
 * based animation. In general this class will not be created directly, the <a href="#!/api/Ext.dom.Element" rel="Ext.dom.Element" class="docClass">Ext.dom.Element</a>
 * will be passed to the animation and the appropriate target will be created.
 */
public class ElementCSSTarget extends ext.fx.target.ElementTarget {
  /**
   * @inheritDoc
   */
  public function ElementCSSTarget(target:* = undefined) {
    super();
  }
}
}