package ext.grid.plugin.events {
import ext.data.Model;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class RowExpanderPlugin_rowNode_record_expandRowEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "<strong>Fired through the grid's View.</strong>
   * @see ext.grid.plugin.RowExpanderPlugin
   * @eventType onCollapseBody
   */
  public static const COLLAPSE_BODY:String = "onCollapseBody";

  /**
   * "<strong>Fired through the grid's View</strong>
   * @see ext.grid.plugin.RowExpanderPlugin
   * @eventType onExpandBody
   */
  public static const EXPAND_BODY:String = "onExpandBody";

  public function RowExpanderPlugin_rowNode_record_expandRowEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The &lt;tr> element which owns the expanded row.
   */
  public native function get rowNode():js.HTMLElement;

  /**
   * The record providing the data.
   */
  public native function get record():ext.data.Model;

  /**
   * The &lt;tr> element containing the expanded data.
   */
  public native function get expandRow():js.HTMLElement;
}
}