package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Panel_newIconCls_oldIconClsEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after the Panel iconCls has been set or changed.
   * @see ext.panel.Panel
   * @eventType onIconClsChange
   */
  public static const ICON_CLS_CHANGE:String = "onIconClsChange";

  public function Panel_newIconCls_oldIconClsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The Panel which has the iconCls changed.
   */
  public native function get p():ext.panel.Panel;

  /**
   * The new iconCls.
   */
  public native function get newIconCls():String;

  /**
   * The previous panel iconCls.
   */
  public native function get oldIconCls():String;
}
}