package ext.panel.events {
import ext.event.Event;
import ext.view.TableView;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_keyEvent_prevRow_nextRow_forwardEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when View is asked to exit Actionable mode in the current row,
   * and proceed to the previous/next row. If the handler returns <code>false</code>,
   * View processing is aborted.
   * @see ext.panel.TablePanel
   * @eventType onBeforeRowExit
   */
  public static const BEFORE_ROW_EXIT:String = "onBeforeRowExit";

  public function TablePanel_keyEvent_prevRow_nextRow_forwardEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.view.TableView;

  /**
   * The key event that caused navigation.
   */
  public native function get keyEvent():ext.event.Event;

  /**
   * Currently active table row.
   */
  public native function get prevRow():js.HTMLElement;

  /**
   * Table row that is going to be focused and activated.
   */
  public native function get nextRow():js.HTMLElement;

  /**
   * <code>true</code> if we're navigating forward (Tab), <code>false</code> if
   * navigating backward (Shift-Tab).
   * @cancelable
   */
  public native function get forward():Boolean;
}
}