package ext.panel.events {
import ext.data.Store;
import ext.data.operation.ReadOperation;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_records_successful_operationEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires whenever the store reads data from a remote data source.
   * @see ext.panel.TablePanel
   * @eventType onLoad
   */
  public static const LOAD:String = "onLoad";

  public function TablePanel_records_successful_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.data.Store;

  /**
   * An array of records
   */
  public native function get records():Array;

  /**
   * True if the operation was successful.
   */
  public native function get successful():Boolean;

  /**
   * The
   * <a href="#!/api/Ext.data.operation.Read" rel="Ext.data.operation.Read" class="docClass">Operation</a> object that was used in the data
   * load call
   */
  public native function get operation():ext.data.operation.ReadOperation;
}
}