package ext.picker.events {
import ext.picker.MonthPicker;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class MonthPicker_valueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a month is clicked.
   * @see ext.picker.MonthPicker
   * @eventType onMonthClick
   */
  public static const MONTH_CLICK:String = "onMonthClick";

  /**
   * "Fires when a month is clicked.
   * @see ext.picker.MonthPicker
   * @eventType onMonthDblclick
   */
  public static const MONTH_DBLCLICK:String = "onMonthDblclick";

  /**
   * "Fires when the ok button is pressed.
   * @see ext.picker.MonthPicker
   * @eventType onOkClick
   */
  public static const OK_CLICK:String = "onOkClick";

  /**
   * "Fires when a month/year is selected.
   * @see ext.picker.MonthPicker
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  /**
   * "Fires when a year is clicked.
   * @see ext.picker.MonthPicker
   * @eventType onYearClick
   */
  public static const YEAR_CLICK:String = "onYearClick";

  /**
   * "Fires when a year is clicked.
   * @see ext.picker.MonthPicker
   * @eventType onYearDblclick
   */
  public static const YEAR_DBLCLICK:String = "onYearDblclick";

  public function MonthPicker_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.picker.MonthPicker;

  /**
   * The current value
   */
  public native function get value():Array;
}
}