package ext.resizer.events {
import ext.event.Event;
import ext.resizer.Resizer;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Resizer_width_height_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired before resize is allowed. Return false to cancel resize.
   * @see ext.resizer.Resizer
   * @eventType onBeforeResize
   */
  public static const BEFORE_RESIZE:String = "onBeforeResize";

  /**
   * "Fired after a resize.
   * @see ext.resizer.Resizer
   * @eventType onResize
   */
  public static const RESIZE:String = "onResize";

  /**
   * "Fires during resizing.
   * @see ext.resizer.Resizer
   * @eventType onResizeDrag
   */
  public static const RESIZE_DRAG:String = "onResizeDrag";

  public function Resizer_width_height_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.resizer.Resizer;

  /**
   * The start width
   */
  public native function get width():Number;

  /**
   * The start height
   */
  public native function get height():Number;

  /**
   * The mousedown event
   */
  public native function get e():ext.event.Event;
}
}