package ext.state {

[Uses("ext.state.Provider")]
[Uses("ext.mixin.Observable")]
[Uses("ext.Base")]
[Native("Ext.state.LocalStorageProvider", require)]
/**
 * A Provider implementation which saves and retrieves state via the HTML5 localStorage API
 * or IE <code>userData</code> storage. For details see <code><a href="#!/api/Ext.util.LocalStorage" rel="Ext.util.LocalStorage" class="docClass">Ext.util.LocalStorage</a></code>.
 *
 * <p>If the browser does not support local storage, there will be no attempt to read the state.
 * Before creating this class, check <a href="#!/api/Ext.util.LocalStorage-static-property-supported" rel="Ext.util.LocalStorage-static-property-supported" class="docClass">Ext.util.LocalStorage.supported</a>.</p>
 */
public class LocalStorageProvider extends ext.state.Provider {
  /**
   * @param config @inheritDoc
   */
  public function LocalStorageProvider(config:ext.state.LocalStorageProvider = null) {
    super();
  }
}
}