package ext.toolbar.events {
import ext.data.TreeModel;
import ext.toolbar.Breadcrumb;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Breadcrumb_node_prevNodeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the user changes the selected record. In contrast to the <a href="#!/api/Ext.toolbar.Breadcrumb-event-selectionchange" rel="Ext.toolbar.Breadcrumb-event-selectionchange" class="docClass">selectionchange</a> event, this does
   * <em>not</em> fire at render time, only in response to user activity.
   * @see ext.toolbar.Breadcrumb
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  /**
   * "Fires when the selected node changes. At render time, this event will fire
   * indicating that the configured <a href="#!/api/Ext.toolbar.Breadcrumb-cfg-selection" rel="Ext.toolbar.Breadcrumb-cfg-selection" class="docClass">selection</a> has been selected.
   * @see ext.toolbar.Breadcrumb
   * @eventType onSelectionChange
   */
  public static const SELECTION_CHANGE:String = "onSelectionChange";

  public function Breadcrumb_node_prevNodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.toolbar.Breadcrumb;

  /**
   * The selected node.
   */
  public native function get node():ext.data.TreeModel;

  /**
   * The previously selected node.
   */
  public native function get prevNode():ext.data.TreeModel;
}
}