package ext.tree.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreePanelEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before this node is collapsed.
   * @see ext.tree.TreePanel
   * @eventType onBeforeItemCollapse
   */
  public static const BEFORE_ITEM_COLLAPSE:String = "onBeforeItemCollapse";

  /**
   * "Fires before this node is expanded.
   * @see ext.tree.TreePanel
   * @eventType onBeforeItemExpand
   */
  public static const BEFORE_ITEM_EXPAND:String = "onBeforeItemExpand";

  /**
   * "Fires when this node is collapsed.
   * @see ext.tree.TreePanel
   * @eventType onItemCollapse
   */
  public static const ITEM_COLLAPSE:String = "onItemCollapse";

  /**
   * "Fires when this node is expanded.
   * @see ext.tree.TreePanel
   * @eventType onItemExpand
   */
  public static const ITEM_EXPAND:String = "onItemExpand";

  public function TreePanelEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The collapsing node
   */
  public native function get source():ext.data.NodeInterface;
}
}