package ext.tree.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreePanel_nodeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a new child is appended, return false to cancel the append.
   * @see ext.tree.TreePanel
   * @eventType onBeforeItemAppend
   */
  public static const BEFORE_ITEM_APPEND:String = "onBeforeItemAppend";

  public function TreePanel_nodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The child node to be appended
   */
  public native function get node():ext.data.NodeInterface;
}
}