package ext.tree.events {
import ext.data.TreeModel;
import ext.event.Event;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreePanel_node_checked_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a node with a checkbox's checked property changes.
   * @see ext.tree.TreePanel
   * @eventType onBeforeCheckChange
   */
  public static const BEFORE_CHECK_CHANGE:String = "onBeforeCheckChange";

  /**
   * "Fires when a node with a checkbox's checked property changes.
   * @see ext.tree.TreePanel
   * @eventType onCheckChange
   */
  public static const CHECK_CHANGE:String = "onCheckChange";

  public function TreePanel_node_checked_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The node who's checked property is to be changed.
   */
  public native function get node():ext.data.TreeModel;

  /**
   * The node's current checked state.
   */
  public native function get checked():Boolean;

  /**
   * The click event.
   */
  public native function get e():ext.event.Event;
}
}