package ext.util {

[Uses("ext.util.SBase64")]
[Uses("ext.Base")]
[Native("Ext.util.Base64", require)]
/**
 * Base64 is a group of similar binary-to-text encoding schemes that represent binary data in an ASCII string format by
 * translating it into a radix-64 representation.
 *
 * <p>This class is an implementation of base64 encoding and decoding functions and is UTF-8 safe.</p>
 */
public const Base64:ext.util.SBase64;
}