package ext.util {

[Uses("ext.util.DelimitedValue")]
[Uses("ext.Base")]
[Native("Ext.util.TSV", require)]
/**
 * This class contains utility methods for dealing with TSV (Tab Separated Values) as
 * specified in <a href="http://tools.ietf.org/html/rfc4180">RFC 4180</a>.
 *
 * <p>For details see <code><a href="#!/api/Ext.util.DelimitedValue" rel="Ext.util.DelimitedValue" class="docClass">Ext.util.DelimitedValue</a></code>.</p>
 */
public const TSV:ext.util.DelimitedValue;
}