package ext.util.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractMixedCollection_index_o_keyEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when an item is added to the collection.
   * @since 1.1.0
   * @see ext.util.AbstractMixedCollection
   * @eventType onAdd
   */
  public static const ADD:String = "onAdd";

  public function AbstractMixedCollection_index_o_keyEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The index at which the item was added.
   */
  public native function get index():Number;

  /**
   * The item added.
   */
  public native function get o():Object;

  /**
   * The key associated with the added item.
   */
  public native function get key():String;
}
}