package ext.util.events {
import ext.util.HashMap;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HashMap_key_valueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a new item is added to the hash.
   * @see ext.util.HashMap
   * @eventType onAdd
   */
  public static const ADD:String = "onAdd";

  /**
   * "Fires when an item is removed from the hash.
   * @see ext.util.HashMap
   * @eventType onRemove
   */
  public static const REMOVE:String = "onRemove";

  public function HashMap_key_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.util.HashMap;

  /**
   * The key of the added item.
   */
  public native function get key():String;

  /**
   * The value of the added item.
   */
  public native function get value():Object;
}
}