package ext.view.events {
import ext.view.DataView;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractViewEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before the view is refreshed
   * @see ext.view.AbstractView
   * @eventType onBeforeRefresh
   */
  public static const BEFORE_REFRESH:String = "onBeforeRefresh";

  /**
   * "Fires when the view is refreshed
   * @see ext.view.AbstractView
   * @eventType onRefresh
   */
  public static const REFRESH:String = "onRefresh";

  /**
   * "Fires when the View's item elements representing Store items has been rendered. No items will be available
   * for selection until this event fires.
   * @see ext.view.AbstractView
   * @eventType onViewReady
   */
  public static const VIEW_READY:String = "onViewReady";

  public function AbstractViewEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The DataView object
   */
  public native function get source():ext.view.DataView;
}
}