package ext.view.events {
import ext.data.Model;
import ext.selection.SelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DataView_oldFocused_newFocusedEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when a row is focused
   * @see ext.view.DataView
   * @eventType onFocusChange
   */
  public static const FOCUS_CHANGE:String = "onFocusChange";

  public function DataView_oldFocused_newFocusedEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.selection.SelectionModel;

  /**
   * The previously focused record
   */
  public native function get oldFocused():ext.data.Model;

  /**
   * The newly focused record
   */
  public native function get newFocused():ext.data.Model;
}
}