Ext.define("ext.events.ComponentEvent", function(ComponentEvent) {/*package ext.events {
import ext.Component;

import net.jangaroo.ext.FlExtEvent;

public class ComponentEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){ComponentEvent.__PARAMETER_SEQUENCE__=( ["source", "eOpts"]);}/*;
  /**
   * "Fires after a Component has been visually activated.
   *
   * <p><strong>Note</strong> This event is only fired if this Component is a child of a <a href="#!/api/Ext.container.Container" rel="Ext.container.Container" class="docClass">Ext.container.Container</a>
   * that uses <a href="#!/api/Ext.layout.container.Card" rel="Ext.layout.container.Card" class="docClass">Ext.layout.container.Card</a> as it's layout or this Component is a floating Component.</p>
   * @see ext.Component
   * @eventType onActivate
   * /
  public static const ACTIVATE:String = "onActivate";
  /**
   * "This event first after a component's layout has been updated by a layout that
   * included animation (e.g., a <a href="#!/api/Ext.panel.Panel" rel="Ext.panel.Panel" class="docClass">panel</a> in an
   * <a href="#!/api/Ext.layout.container.Accordion" rel="Ext.layout.container.Accordion" class="docClass">accordion</a> layout).
   * @since 6.0.0
   * @see ext.Component
   * @eventType onAfterLayoutAnimation
   * /
  public static const AFTER_LAYOUT_ANIMATION:String = "onAfterLayoutAnimation";
  /**
   * "Fires after the component rendering is finished.
   *
   * <p>The <code>afterrender</code> event is fired after this Component has been <a href="#!/api/Ext.Component-property-rendered" rel="Ext.Component-property-rendered" class="docClass">rendered</a>, been post-processed by any
   * <code>afterRender</code> method defined for the Component.</p>
   * @since 3.4.0
   * @see ext.Component
   * @eventType onAfterRender
   * /
  public static const AFTER_RENDER:String = "onAfterRender";
  /**
   * "Fires before a Component has been visually activated. Returning <code>false</code> from an event listener can prevent
   * the activate from occurring.
   *
   * <p><strong>Note</strong> This event is only fired if this Component is a child of a <a href="#!/api/Ext.container.Container" rel="Ext.container.Container" class="docClass">Ext.container.Container</a>
   * that uses <a href="#!/api/Ext.layout.container.Card" rel="Ext.layout.container.Card" class="docClass">Ext.layout.container.Card</a> as it's layout.</p>
   * @see ext.Component
   * @eventType onBeforeActivate
   * /
  public static const BEFORE_ACTIVATE:String = "onBeforeActivate";
  /**
   * "Fires before a Component has been visually deactivated. Returning <code>false</code> from an event listener can
   * prevent the deactivate from occurring.
   *
   * <p><strong>Note</strong> This event is only fired if this Component is a child of a <a href="#!/api/Ext.container.Container" rel="Ext.container.Container" class="docClass">Ext.container.Container</a>
   * that uses <a href="#!/api/Ext.layout.container.Card" rel="Ext.layout.container.Card" class="docClass">Ext.layout.container.Card</a> as it's layout.</p>
   * @see ext.Component
   * @eventType onBeforeDeactivate
   * /
  public static const BEFORE_DEACTIVATE:String = "onBeforeDeactivate";
  /**
   * "Fires before the component is <a href="#!/api/Ext.Component-method-destroy" rel="Ext.Component-method-destroy" class="docClass">destroy</a>ed. Return <code>false</code> from an event handler to stop the
   * <a href="#!/api/Ext.Component-method-destroy" rel="Ext.Component-method-destroy" class="docClass">destroy</a>.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onBeforeDestroy
   * /
  public static const BEFORE_DESTROY:String = "onBeforeDestroy";
  /**
   * "Fires before the component is hidden when calling the <a href="#!/api/Ext.Component-method-hide" rel="Ext.Component-method-hide" class="docClass">hide</a> method. Return <code>false</code> from an event
   * handler to stop the hide.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onBeforeHide
   * /
  public static const BEFORE_HIDE:String = "onBeforeHide";
  /**
   * "Fires before the component is <a href="#!/api/Ext.Component-property-rendered" rel="Ext.Component-property-rendered" class="docClass">rendered</a>. Return <code>false</code> from an event handler to stop the
   * <a href="#!/api/Ext.Component-method-render" rel="Ext.Component-method-render" class="docClass">render</a>.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onBeforeRender
   * /
  public static const BEFORE_RENDER:String = "onBeforeRender";
  /**
   * "Fires before the component is shown when calling the <a href="#!/api/Ext.Component-method-show" rel="Ext.Component-method-show" class="docClass">show</a> method. Return <code>false</code> from an event
   * handler to stop the show.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onBeforeShow
   * /
  public static const BEFORE_SHOW:String = "onBeforeShow";
  /**
   * "Fires after a Component has been visually deactivated.
   *
   * <p><strong>Note</strong> This event is only fired if this Component is a child of a <a href="#!/api/Ext.container.Container" rel="Ext.container.Container" class="docClass">Ext.container.Container</a>
   * that uses <a href="#!/api/Ext.layout.container.Card" rel="Ext.layout.container.Card" class="docClass">Ext.layout.container.Card</a> as it's layout or this Component is a floating Component.</p>
   * @see ext.Component
   * @eventType onDeactivate
   * /
  public static const DEACTIVATE:String = "onDeactivate";
  /**
   * "Fires after the component is <a href="#!/api/Ext.Component-method-destroy" rel="Ext.Component-method-destroy" class="docClass">destroy</a>ed.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onDestroy
   * /
  public static const DESTROY:String = "onDestroy";
  /**
   * "Fires after the component is disabled.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onDisable
   * /
  public static const DISABLE:String = "onDisable";
  /**
   * "Fires after the component is enabled.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onEnable
   * /
  public static const ENABLE:String = "onEnable";
  /**
   * "Fires after the component is hidden. Fires after the component is hidden when calling the <a href="#!/api/Ext.Component-method-hide" rel="Ext.Component-method-hide" class="docClass">hide</a>
   * method.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onHide
   * /
  public static const HIDE:String = "onHide";
  /**
   * "Fires after the component markup is <a href="#!/api/Ext.Component-property-rendered" rel="Ext.Component-property-rendered" class="docClass">rendered</a>.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onRender
   * /
  public static const RENDER:String = "onRender";
  /**
   * "Fires after the component is shown when calling the <a href="#!/api/Ext.Component-method-show" rel="Ext.Component-method-show" class="docClass">show</a> method.
   * @since 1.1.0
   * @see ext.Component
   * @eventType onShow
   * /
  public static const SHOW:String = "onShow";

  public*/ function ComponentEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  public native function get source():Component;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: ComponentEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        ACTIVATE: "onActivate",
        AFTER_LAYOUT_ANIMATION: "onAfterLayoutAnimation",
        AFTER_RENDER: "onAfterRender",
        BEFORE_ACTIVATE: "onBeforeActivate",
        BEFORE_DEACTIVATE: "onBeforeDeactivate",
        BEFORE_DESTROY: "onBeforeDestroy",
        BEFORE_HIDE: "onBeforeHide",
        BEFORE_RENDER: "onBeforeRender",
        BEFORE_SHOW: "onBeforeShow",
        DEACTIVATE: "onDeactivate",
        DESTROY: "onDestroy",
        DISABLE: "onDisable",
        ENABLE: "onEnable",
        HIDE: "onHide",
        RENDER: "onRender",
        SHOW: "onShow",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
