Ext.define("ext.view.events.DataView_eEvent", function(DataView_eEvent) {/*package ext.view.events {
import ext.event.Event;
import ext.view.DataView;

import net.jangaroo.ext.FlExtEvent;

public class DataView_eEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){DataView_eEvent.__PARAMETER_SEQUENCE__=( ["source", "e", "eOpts"]);}/*;
  /**
   * "Fires before the click event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerClick
   * /
  public static const BEFORE_CONTAINER_CLICK:String = "onBeforeContainerClick";
  /**
   * "Fires before the contextmenu event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerContextMenu
   * /
  public static const BEFORE_CONTAINER_CONTEXT_MENU:String = "onBeforeContainerContextMenu";
  /**
   * "Fires before the dblclick event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerDblclick
   * /
  public static const BEFORE_CONTAINER_DBLCLICK:String = "onBeforeContainerDblclick";
  /**
   * "Fires before the keydown event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerKeyDown
   * /
  public static const BEFORE_CONTAINER_KEY_DOWN:String = "onBeforeContainerKeyDown";
  /**
   * "Fires before the keypress event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerKeypress
   * /
  public static const BEFORE_CONTAINER_KEYPRESS:String = "onBeforeContainerKeypress";
  /**
   * "Fires before the keyup event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerKeyUp
   * /
  public static const BEFORE_CONTAINER_KEY_UP:String = "onBeforeContainerKeyUp";
  /**
   * "Fires before the mousedown event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerMouseDown
   * /
  public static const BEFORE_CONTAINER_MOUSE_DOWN:String = "onBeforeContainerMouseDown";
  /**
   * "Fires before the mouseout event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerMouseOut
   * /
  public static const BEFORE_CONTAINER_MOUSE_OUT:String = "onBeforeContainerMouseOut";
  /**
   * "Fires before the mouseover event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerMouseOver
   * /
  public static const BEFORE_CONTAINER_MOUSE_OVER:String = "onBeforeContainerMouseOver";
  /**
   * "Fires before the mouseup event on the container is processed. Returns false to cancel the default action.
   * @see ext.view.DataView
   * @eventType onBeforeContainerMouseUp
   * /
  public static const BEFORE_CONTAINER_MOUSE_UP:String = "onBeforeContainerMouseUp";
  /**
   * "Fires when the container is clicked.
   * @see ext.view.DataView
   * @eventType onContainerClick
   * /
  public static const CONTAINER_CLICK:String = "onContainerClick";
  /**
   * "Fires when the container is right clicked.
   * @see ext.view.DataView
   * @eventType onContainerContextMenu
   * /
  public static const CONTAINER_CONTEXT_MENU:String = "onContainerContextMenu";
  /**
   * "Fires when the container is double clicked.
   * @see ext.view.DataView
   * @eventType onContainerDblclick
   * /
  public static const CONTAINER_DBLCLICK:String = "onContainerDblclick";
  /**
   * "Fires when a key is pressed down while the container is focused, and no item is currently selected.
   * @see ext.view.DataView
   * @eventType onContainerKeyDown
   * /
  public static const CONTAINER_KEY_DOWN:String = "onContainerKeyDown";
  /**
   * "Fires when a key is pressed while the container is focused, and no item is currently selected.
   * @see ext.view.DataView
   * @eventType onContainerKeypress
   * /
  public static const CONTAINER_KEYPRESS:String = "onContainerKeypress";
  /**
   * "Fires when a key is released while the container is focused, and no item is currently selected.
   * @see ext.view.DataView
   * @eventType onContainerKeyUp
   * /
  public static const CONTAINER_KEY_UP:String = "onContainerKeyUp";
  /**
   * "Fires when there is a mousedown on the container
   * @see ext.view.DataView
   * @eventType onContainerMouseDown
   * /
  public static const CONTAINER_MOUSE_DOWN:String = "onContainerMouseDown";
  /**
   * "Fires when you move the mouse out of the container.
   * @see ext.view.DataView
   * @eventType onContainerMouseOut
   * /
  public static const CONTAINER_MOUSE_OUT:String = "onContainerMouseOut";
  /**
   * "Fires when you move the mouse over the container.
   * @see ext.view.DataView
   * @eventType onContainerMouseOver
   * /
  public static const CONTAINER_MOUSE_OVER:String = "onContainerMouseOver";
  /**
   * "Fires when there is a mouseup on the container
   * @see ext.view.DataView
   * @eventType onContainerMouseUp
   * /
  public static const CONTAINER_MOUSE_UP:String = "onContainerMouseUp";

  public*/ function DataView_eEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  public native function get source():DataView;

  /**
   * The raw event object
   * /
  public native function get e():Event;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: DataView_eEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        BEFORE_CONTAINER_CLICK: "onBeforeContainerClick",
        BEFORE_CONTAINER_CONTEXT_MENU: "onBeforeContainerContextMenu",
        BEFORE_CONTAINER_DBLCLICK: "onBeforeContainerDblclick",
        BEFORE_CONTAINER_KEY_DOWN: "onBeforeContainerKeyDown",
        BEFORE_CONTAINER_KEYPRESS: "onBeforeContainerKeypress",
        BEFORE_CONTAINER_KEY_UP: "onBeforeContainerKeyUp",
        BEFORE_CONTAINER_MOUSE_DOWN: "onBeforeContainerMouseDown",
        BEFORE_CONTAINER_MOUSE_OUT: "onBeforeContainerMouseOut",
        BEFORE_CONTAINER_MOUSE_OVER: "onBeforeContainerMouseOver",
        BEFORE_CONTAINER_MOUSE_UP: "onBeforeContainerMouseUp",
        CONTAINER_CLICK: "onContainerClick",
        CONTAINER_CONTEXT_MENU: "onContainerContextMenu",
        CONTAINER_DBLCLICK: "onContainerDblclick",
        CONTAINER_KEY_DOWN: "onContainerKeyDown",
        CONTAINER_KEYPRESS: "onContainerKeypress",
        CONTAINER_KEY_UP: "onContainerKeyUp",
        CONTAINER_MOUSE_DOWN: "onContainerMouseDown",
        CONTAINER_MOUSE_OUT: "onContainerMouseOut",
        CONTAINER_MOUSE_OVER: "onContainerMouseOver",
        CONTAINER_MOUSE_UP: "onContainerMouseUp",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
